Page MenuHomePhabricator

Release 5.3.0 (998)
Closed, ResolvedPublic

Description

Release version: 5.3.0 (998)
Release tag: releases/5.3.0
Release SHA1: ac41a1eb2f0af0ba855f24bf5af84729441c6abb
App Store Submission Date: 11/17/2016
App Store Approval Date: 11/18/2016
App Store Release Date: 11/21/2016
Regression Testing URL: https://docs.google.com/a/specialistsguild.org/spreadsheets/d/1hczd9lNFt9gts9ukQf2JouWY3FjVO510WrdI4_Rndvs/edit?usp=sharing


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Upload new screenshots & app icons to iTunes Connect (if needed)
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Notify Comms to post on Twitter and Facebook
  • Post on mobile-l

Event Timeline

JMinor created this task.Nov 1 2016, 7:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2016, 7:22 PM
JMinor triaged this task as High priority.Nov 1 2016, 8:08 PM

This is currently blocked on sufficient testing of notifications. We are planning to try a less restrictive criteria for notification in beta: T149732

JMinor renamed this task from Release 5.3.0 () to Release 5.3.0 (997).Nov 16 2016, 12:00 AM
JMinor updated the task description. (Show Details)
JMinor moved this task from Blocked or Waiting to Doing on the iOS-app-v5.3.0-Welsh-Dragon board.
JMinor added subscribers: JoeWalsh, Fjalapeno, cmadeo, Mhurd.
JMinor renamed this task from Release 5.3.0 (997) to Release 5.3.0 (998).Nov 17 2016, 7:15 PM
JMinor updated the task description. (Show Details)

Whats new text:

  • Get rich notifications to read more about topics Trending In the News
  • Improved VoiceOver support and VoiceOver support added to widgets
  • 支援簡繁中文自動轉換 / 支持简繁中文自动转换
  • Support for auto transliteration between Simplified and Traditional Chinese for Chinese Wikipedia (based on iPhone/iPad Language)
  • Major improvements in the loading and scrolling speed of the Explore feed, with less network use
  • Fall down the Wikipedia rabbit hole with an easier to use Random article generator
  • Use 3d touch actions to save and share links from anywhere in the app
  • Support for Top Read and Continue Reading widgets on iOS 9
  • Improved presentation of references and citations
JMinor updated the task description. (Show Details)Nov 21 2016, 7:12 PM
JMinor updated the task description. (Show Details)Nov 21 2016, 7:20 PM
JMinor moved this task from Doing to Ready for PM Signoff on the iOS-app-v5.3.0-Welsh-Dragon board.
JMinor updated the task description. (Show Details)Nov 21 2016, 7:56 PM
JMinor closed this task as Resolved.Nov 21 2016, 10:24 PM